> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custom Route Settings

> Gets custom route settings. Custom routing allows you to display SEO-friendly URLs on your site that map behind-the-scenes to resources such as a product page or a search results page. With custom routing, you gain advanced control over the URL structures on your site and can more visibly highlight the products or categories your shoppers are interested in purchasing.



## OpenAPI

````yaml /openapi/openapi_settings.json get /commerce/settings/general/customroutes
openapi: 3.0.1
info:
  description: |-
    <div id="overview_SETTINGS">
                <h2>SITE SETTINGS</h2>
                <p>The Site Settings APIs are a collection of resources used to manage settings for sites, checkout, installed applications, locations,
                    shipping, and general settings for a site. For more information about site settings and the associated configurations in the Unified Commerce Admin
                    interface, see the <a href="/pages/system">Settings user guides</a>.</p>
                <p>Use the <strong>Cart</strong> resource to manage settings for the cart, such as whether to include handling fees in the
                    cost calculations.</p>
                <p>Use the <strong>Checkout Settings</strong> resource to specify the site-wide settings that define checkout and order
                    processing behavior. This resource includes subresources for payment settings, customer checkout
                    settings, and order processing settings.</p>
                <p>Use the <strong>Fulfillment Settings</strong> resource to define site-wide fulfillment options such as the default
                    backorder duration, rejection actions, and BPM configurations.</p>
                <p>Use the <strong>General Settings</strong> resource to define global site settings such as the site name, shipping and
                    email addresses, and logo images. You can block undesirable IP addresses using this resource as well as
                    configure <a href="/pages/custom-route-settings">custom
                        routes</a>.</p>
                <p>Use the <strong>Inventory Settings</strong> resource to enable or disable inventory jobs and set a preferred time of day
                    for the jobs to run at.</p>
                <p>Use the <strong>Return Settings</strong> resource to specify the default return options for processing fees, shipping
                    locations, and label generation.</p>
                <p>Use the <strong>Shipping</strong> resource to manage settings for the site shipping information, such as origin address
                    information, carrier shipping methods, shipping rate providers, and regions available for shipping.</p>
            </div>
  title: Site Settings
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/settings/general/customroutes:
    get:
      tags:
        - GeneralSettings
      summary: Get Custom Route Settings
      description: >-
        Gets custom route settings. Custom routing allows you to display
        SEO-friendly URLs on your site that map behind-the-scenes to resources
        such as a product page or a search results page. With custom routing,
        you gain advanced control over the URL structures on your site and can
        more visibly highlight the products or categories your shoppers are
        interested in purchasing.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomRouteSettings'
            text/json:
              schema:
                $ref: '#/components/schemas/CustomRouteSettings'
            text/plain:
              schema:
                $ref: '#/components/schemas/CustomRouteSettings'
          description: OK
components:
  schemas:
    CustomRouteSettings:
      properties:
        mappings:
          additionalProperties:
            $ref: '#/components/schemas/Mapping'
          nullable: true
          type: object
        routes:
          items:
            $ref: '#/components/schemas/Route'
          nullable: true
          type: array
        validators:
          additionalProperties:
            $ref: '#/components/schemas/Validator'
          nullable: true
          type: object
      type: object
    Mapping:
      properties:
        beforeRouting:
          nullable: true
          type: boolean
        docId:
          nullable: true
          type: string
        facetId:
          nullable: true
          type: string
        listFqn:
          nullable: true
          type: string
        mapTo:
          nullable: true
          type: string
        mappings:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        pattern:
          nullable: true
          type: string
        replacement:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Route:
      properties:
        canonical:
          nullable: true
          type: boolean
        defaults:
          additionalProperties:
            nullable: true
          nullable: true
          type: object
        functionId:
          nullable: true
          type: string
        internalRoute:
          nullable: true
          type: string
        mappings:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          nullable: true
          type: object
        template:
          nullable: true
          type: string
        urlScheme:
          nullable: true
          type: string
        validators:
          additionalProperties:
            items:
              type: string
            nullable: true
            type: array
          nullable: true
          type: object
      type: object
    Validator:
      properties:
        attributeFQN:
          nullable: true
          type: string
        docId:
          nullable: true
          type: string
        field:
          nullable: true
          type: string
        listFqn:
          nullable: true
          type: string
        pattern:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````